vsnInput {vsn} | R Documentation

## Class to contain input data and parameters for vsn functions

### Description

Class to contain input data and parameters for vsn functions

### Creating Objects

`new("vsnInput")`

### Slots

`x`:
  A numeric matrix with the input data.
`reference`:
  An object of `vsn`, typically this would have been obtained from a previous fit to a set of reference arrays (data).
`strata`:
  A factor of length 0 or n. If its length is n, then its levels correspond to different normalization strata (see `vsn2`).
`ordered`:
  Logical scalar; are the rows reordered so that the strata are contiguous.
`lts.quantile`:
  Numeric scalar, see`vsn2`.
`subsample`:
  Integer scalar, see`vsn2`.
`verbose`:
  Logical scalar, see`vsn2`.
`pstart`:
  A 3D array of size (number of strata) x (number of columns of the data matrix) x 2 containing start parameters.
`cvg.niter`:
  Integer scalar, see`vsn2`.
`cvg.eps`:
  Numeric scalar, see`vsn2`.

### Methods

`[`
  Subset
`dim`
  Get dimensions of data matrix.
`nrow`
  Get number of rows of data matrix.
`ncol`
  Get number of columns of data matrix.
`show`
  Print a summary of the object

### Author(s)

Wolfgang Huber http://www.ebi.ac.uk/huber

### See Also

`vsn2`

[Package vsn version 3.12.0 Index]